<!-- taglib 

<%@ page contentType="text/html;charset=UTF-8" language="java" %><%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%><%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%><%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic"%>

-->

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="description" content="www.juuluu.net " />

<meta name="keyword" content="www.juuluu.net " />



<title>标题</title>

<link href="<bean:write name="SystemConfigApp" property="appContext"/>/com/goosaa/templete/default.css" type="text/css" rel="stylesheet">



<link href="/com/goosaa/templete/default.css" type="text/css" rel="stylesheet">

<script src="/JuuluuApp/javascript/juuluu.js" type="text/javascript" language="javascript" charset="UTF-8" ></script>

</head>

<body>




<div class="title_box"><h1>添加存储目录</h1></div>


<script type="text/javascript" src="/juuluu.org/javascript/form.js" language="javascript"></script>
<html:form   action="/store/admin/uploadConfig/action/UploadDirAddAction?leixing=tj" method="post"   >


<p>
<span class="formElementLable">名称:</span><html:text property="name" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.name" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">本地路径:</span><html:text property="localPath" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.localPath" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">最大空间:</span><html:text property="maxSize" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.maxSize" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">当前已使用:</span><html:text property="currentSize" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.currentSize" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">可用空间:</span><html:text property="maxStoreSize" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.maxStoreSize" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">硬盘:</span><html:text property="yinPanName" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.yinPanName" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">系统关键字:</span><html:text property="systemKey" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.systemKey" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>
<p>
<input id="StoreWebFileBankFormSubmit" type="button" onClick="return formsubmit()"  value="提交"/> <input type="reset"  value="重设"/>
</p>

</div></html:form>
	<script type="text/javascript" language="javascript" >
	//重设表单
	function resetForm(){
		var form=document.forms["StoreWebFileBankForm"];	 form.reset();
	 return false;
	}
	
	//提交表单，成功后提交表单
	function formsubmit(){
		var form=document.forms["StoreWebFileBankForm"];
		if(form==null){
			alert("无法获取表单！");
			 	return false;
		}
		if(form!=null){
		//表单验证
		 var formchekcReturn=formcheck();
	 	if(formchekcReturn !=null && formchekcReturn==true){
		form.submit();
	 //将提交按钮设置为失效，防止重复提交
		var formSubmit=document.getElementById("StoreWebFileBankFormSubmit");
	 	formSubmit.disabled= true;
	 	return true;
			 }else{
	 	return false;
		}
	 }//end if
	
	}//end fun
	//表单验证
	function formcheck(){
		var form=document.forms["StoreWebFileBankForm"];		if(form==null){
			alert("未发现表单！");
			isreturn =false;
			return false;
			
		}
		var isreturn =true;
		//表单name元素是否为空
	     var name =form.name;
		var nameValue=trim(name.value);
			if(nameValue==null||nameValue==""){
			alert("名称不能为空！");
			name.focus();
			isreturn =false;
			return false;
		}	//end if
		//表单localPath元素是否为空
	     var localPath =form.localPath;
		var localPathValue=trim(localPath.value);
			if(localPathValue==null||localPathValue==""){
			alert("本地路径不能为空！");
			localPath.focus();
			isreturn =false;
			return false;
		}	//end if
		
		//表单中文验证
		
		//表单字符长度验证
		
		//表单密码强度验证
		
		//表单是否包含字符验证
		
		//表单过长验证
		
		//判断是否提交表单
		//alert("return :"+isreturn);
		
		if(isreturn ==false){
		
		//	alert("return :"+isreturn);
		return false;
		
		}else{
		isreturn=true;
		//alert("return :"+isreturn);
		return isreturn;
		}
	}
	
	</script>


</body>

</html>